# vim: set sw=4 ts=4 et nu:

Name:               listps
Version:            0.9.0
Release:            2.2
Summary:            List Processes, including hidden ones
Source:             http://csl.sublevel3.org/listps/listps-%{version}.tar.gz
# PATCH-FIX-UPSTREAM listps-fix_conflicting_getline.patch pascal.bleser@opensuse.org sent by email (no bugtracker), renames the getline function in the upstream sources because they clash with the getline function from stdio
Patch1:             listps-fix_conflicting_getline.patch
URL:                http://csl.sublevel3.org/listps/
Group:              Productivity/Security
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
listps is a small linux program to show all running processes, including hidden
ones. It only works with /proc filesystems.

On systems compromised with various rootkits, like e.g. suckit 1.3e, listps
will be able to explicitly list hidden processes that are running. 

%prep
%setup -q
%patch1

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/listps

%changelog
* Sat Oct  8 2011 pascal.bleser@opensuse.org
- initial version (0.9.0)
